%define version 1.0.0beta
Name:		iptables
Version:	%{version}
Release:	1
Copyright:	GPL
Group:		Utilities/Network
Source:		http://www.samba.org/netfilter/iptables-%{version}.tar.bz2
Source1:	http://www.samba.org/netfilter/unreliable-guides/networking-concepts-HOWTO.txt
Source2:	http://www.samba.org/netfilter/unreliable-guides/packet-filtering-HOWTO.txt
Source3:	http://www.samba.org/netfilter/unreliable-guides/NAT-HOWTO.txt
URL:		http://www.samba.org/netfilter/
Vendor:		Paul Russell <Paul.Russell@@linuxcare.com.au>
Packager:	William Stearns <wstearns@pobox.com>
BuildRoot:	/tmp/iptables-buildroot
Summary:	Provides the kernel libraries, user tools and user libraries for netfilter/iptables firewalling.

%description
Iptables is the new firewalling code in the 2.3.x and 2.4.x linux 
kernels.  It provides a more extensible architecture for 
packet matching and manipluation by moving all but the 
lowest level into userspace libraries and kernel modules.
Ipchains and ipfwadm compatibility modules are available, but
not installed by default.

%prep
%setup
cp -p $RPM_SOURCE_DIR/networking-concepts-HOWTO.txt $RPM_SOURCE_DIR/packet-filtering-HOWTO.txt $RPM_SOURCE_DIR/NAT-HOWTO.txt $RPM_BUILD_DIR/iptables-%{version}

%build
#Temporary fix for timestamps on the source
touch $RPM_BUILD_DIR/iptables-%{version}/Rules.make
touch $RPM_BUILD_DIR/iptables-%{version}/extensions/libipt_REJECT.c
touch $RPM_BUILD_DIR/iptables-%{version}/Makefile
touch $RPM_BUILD_DIR/iptables-%{version}/libiptc/libiptc.c
touch $RPM_BUILD_DIR/iptables-%{version}/iptables.8
make clean
make KERNEL_DIR=/usr/src/linux

%install
if [ "$RPM_BUILD_ROOT" = "/tmp/iptables-buildroot" ]; then
	rm -rf $RPM_BUILD_ROOT
	
	mkdir -p $RPM_BUILD_ROOT/usr/local/bin
	mkdir -p $RPM_BUILD_ROOT/usr/local/lib
	mkdir -p $RPM_BUILD_ROOT/usr/local/lib/iptables
	mkdir -p $RPM_BUILD_ROOT/usr/local/man/man8
	make DESTDIR=$RPM_BUILD_ROOT install
else
	echo Invalid Build root
	exit 1
fi
				

%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/iptables-buildroot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi
						

%files
%doc COPYING networking-concepts-HOWTO.txt packet-filtering-HOWTO.txt NAT-HOWTO.txt
%attr(755,root,root)			/usr/local/bin/iptables
%attr(755,root,root) %dir		/usr/local/lib/iptables
%attr(755,root,root)			/usr/local/lib/iptables/libipt_DNAT.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_LOG.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_MARK.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_MASQUERADE.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_REDIRECT.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_REJECT.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_SNAT.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_TOS.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_icmp.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_limit.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_mac.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_mark.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_multiport.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_owner.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_standard.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_state.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_tcp.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_tos.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_udp.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_unclean.so
%attr(644,root,root)			/usr/local/man/man8/iptables.8


#Following are only needed for manual changes before or after installation
#%pre

#%post

#Following are only needed for manual changes before or after removal
#%preun

#%postun


%changelog
* Fri Mar 31 2000 William Stearns <wstearns@pobox.com>
- Added text versions of the howtos to the Documentation directory.

* Thu Mar 30 2000 William Stearns <wstearns@pobox.com>
- Updated for iptables 1.0.0 beta.  No more kernel modules, just binaries.
- No docs at the moment.

* Fri Sep  3 1999 William Stearns <wstearns@pobox.com>
- minor updates for netfilter-0.1.6.  No patches right now.

* Sun Aug 29 1999 William Stearns <wstearns@pobox.com>
- first spec file for netfilter-0.1.5


